Sebastians Blog Neues aus den Softwareminen…

Bundler is using a binstub that was created for a different gem?

In regelmäßigen Abständen wirft unsere Konfiguration aus Bundler 1.7, Rails 4.1, Rspec 2.14 und Spring 1.1 bei jedem Rails-, Rake- oder Rspec-Befehl die folgende Warnung:

Bundler is using a binstub that was created for a different gem.
This is deprecated, in future versions you may need to `bundle binstub rspec` to work around a system/bundle conflict.

Auch andere Nutzer scheinen davon verwirrt zu sein, eine klare Erklärung des Problems und seiner Lösung konnte ich bisher nicht finden. Folgender Reset der Binstubs funktioniert für mich als Workaround:

rm -rf bin/*
bundle exec spring binstub --all
bundle binstub rspec-core --force
Dieser Beitrag wurde unter abgelegt und mit , , , , verschlagwortet. Setze ein Lesezeichen auf den Permalink. Sebastian bei .

Die Kommentarfunktion ist geschlossen.